/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.cdm.remote;

import eu.etaxonomy.cdm.model.name.NomenclaturalCode;

/**
 * Class representing a CDM remote source 
 *
 */
public class CdmRemoteSource extends CdmRemoteSourceBase {
	
	/**
	 * Creates a new instance of CdmRemoteSource
	 * 
	 * @param name
	 * @param server
	 * @param port
	 * @param contextPath
	 * @param nomenclaturalCode
	 * @return
	 */
	public static CdmRemoteSource NewInstance() {
		return new CdmRemoteSource(DEFAULT_NAME, DEFAULT_SERVER, DEFAULT_PORT, DEFAULT_CONTEXT_PATH, DEFAULT_NOMENCLATURAL_CODE);
	}
	
	/**
	 * Creates a new instance of CdmRemoteSource
	 * 
	 * @param name
	 * @param server
	 * @param port
	 * @param contextPath
	 * @param nomenclaturalCode
	 * @return
	 */
	public static CdmRemoteSource NewInstance(String name, String server, int port, String contextPath, NomenclaturalCode nomenclaturalCode) {
		return new CdmRemoteSource(name, server, port, contextPath, nomenclaturalCode);
	}
	
	/**
	 * Creates a new CdmRemoteSource
	 * 
	 * @param name
	 * @param server
	 * @param port
	 * @param contextPath
	 * @param nomenclaturalCode
	 */
	private CdmRemoteSource(String name, String server, int port, String contextPath, NomenclaturalCode nomenclaturalCode) { 
		super(name, server, port, contextPath, nomenclaturalCode);
		
	}


}
