/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.cdm.remote;

import eu.etaxonomy.cdm.config.ICdmSource;

/**
 * Interface representing a CDM remote source
 *
 */
public interface ICdmRemoteSource extends ICdmSource {
	
	/**
	 * Gets the context path.
	 * e.g. for 'http://127.0.0.1:8080/col/remoting/common.service', the 
	 * context path would be 'col'
	 */
	public String getContextPath();
	
	/**
	 * Gets the base url for the http-invoker services as listed in 
	 * httpInvokerServicesClients.xml.
	 * e.g. for 'http://127.0.0.1:8080/col/remoting/common.service', the 
	 * base url would be 'http://127.0.0.1:8080/col'
	 */
	public String getBaseUrl();	

}
